%global pkg     auto-complete
%global pkgname Auto Complete Mode

Name:           emacs-%{pkg}
Version:        1.3.1
Release:        12%{?dist}
Summary:        Intelligent auto-complete extension for GNU Emacs

Group:          Applications/Editors
# documentation files are under GFDL
License:        GPLv3 and GFDL
URL:            http://cx4a.org/software/auto-complete/
Source0:        http://cx4a.org/pub/auto-complete/auto-complete-%{version}.tar.bz2
Source1:        auto-complete-init.el

BuildArch:      noarch
BuildRequires:  emacs
Requires:       emacs(bin) >= %{_emacs_version}

%description
%{pkgname} is an intelligent auto-completion extension for GNU
Emacs. Auto Complete Mode renews an old completion interface and
provides an environment that makes users could be more concentrate on
their own works.

It comes with built-in completion support for C, C++, Clojure, CSS,
Java, JavaScript, PHP, Python, Ruby, Scheme and TCL.

%package -n %{name}-el
Summary:        Elisp source files for %{pkgname} under GNU Emacs
Group:          Applications/Editors
Requires:       %{name} = %{version}-%{release}

%description -n %{name}-el
This package contains the elisp source files for %{pkgname}
under GNU Emacs. You do not need to install this package to run
%{pkgname}. Install the %{name} package to use
%{pkgname} with GNU Emacs.

%prep
%setup -q -n %{pkg}-%{version}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{pkg}
mkdir -p $RPM_BUILD_ROOT%{_emacs_sitestartdir}
make install DIR=$RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{pkg}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_emacs_sitestartdir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING.* README.txt TODO.txt doc/*
%{_emacs_sitelispdir}/%{pkg}/*.elc
%{_emacs_sitelispdir}/%{pkg}/ac-dict
%{_emacs_sitestartdir}/*.el
%dir %{_emacs_sitelispdir}/%{pkg}

%files -n %{name}-el
%defattr(-,root,root,-)
%{_emacs_sitelispdir}/%{pkg}/*.el

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 25 2010 Michel Salim <salimma@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1, fixing a css-mode bug
- Use bundled license texts

* Mon Nov  8 2010 Michel Salim <salimma@fedoraproject.org> - 1.3-1
- Initial package
